Bug 1050068 - [GSS] (6.2.x) Using directory grouping by-type results in the wrong logging.properties file being used
Summary: [GSS] (6.2.x) Using directory grouping by-type results in the wrong logging.p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: CR1
: EAP 6.2.1
Assignee: Carlo de Wolf
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On: 1031129
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-08 16:49 UTC by James Perkins
Modified: 2019-02-15 13:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When defining servers with directory-grouping="by-type" the domain/configuration/logging.properties file was always used, which was the incorrect configuration. This error resulted in the wrong logging settings being used. The cause was faulty logic by which the properties file was selected was incorrect. To resolve this problem, the logic by which the properties file was selected has been improved and the correct logging.properties file is now used when directory-grouping="by-type" is used.
Clone Of: 1031129
Environment:
Last Closed: 2014-02-24 20:13:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2514 Major Resolved Using directory grouping by-type results in the wrong logging.properties file being used 2015-09-18 07:53:18 UTC

Description James Perkins 2014-01-08 16:49:27 UTC
+++ This bug was initially created as a clone of Bug #1031129 +++

Description of problem:
When defining servers with directory-grouping="by-type" the wrong directory is used in the ManagedServerBootCmdFactory. This causes the domain/configuration/logging.properties to always be used which is the incorrect configuration to use.


Steps to Reproduce:
1. Edit the hosts.xml and add the directory-grouping="by-type" attribute
2. Start the domain servers
3. Restart the domain servers

Actual results:
domain/logs/server-one/server.log gets overwritten instead of appended


Expected results:
The log file should be appended.

A workaround is to edit the BOOT_LOG handler in the domain/configuration/logging.properties file or add a logging.properties file to the domain/servers/server-one/data directory.

--- Additional comment from James Perkins on 2013-11-15 13:16:10 EST ---

Pull request sent https://github.com/jbossas/jboss-eap/pull/701

--- Additional comment from JBoss JIRA Server on 2013-11-22 17:55:06 EST ---

James Perkins <jperkins@redhat.com> made a comment on jira WFLY-2514

Pull request merged

--- Additional comment from mark yarborough on 2013-12-16 08:08:33 EST ---

Flushing remnants of obsolete CP0a nomenclature.

--- Additional comment from Carlo de Wolf on 2014-01-08 04:40:40 EST ---

Removing from eap62-cp01-blockers. If this is meant for a CP, please clone the BZ, set the blocks again and reset target release and milestone.

Comment 2 Scott Mumford 2014-01-21 03:42:26 UTC
Marking for inclusion in 6.2.1 release notes.

Comment 3 Nikoleta Hlavickova 2014-01-23 14:46:16 UTC
Verified with 6.2.1.CP.CR1-patch.

Comment 4 Scott Mumford 2014-01-24 01:20:19 UTC
Set 'Version' field to ensure this ticket appears in documentation effort dashboards.

Comment 5 Scott Mumford 2014-01-24 02:15:32 UTC
Hey Carlo. Can I get some more info on what was causing this bug and how it was resolved? Any help is greatly appreciated.

Comment 6 Lucas Costi 2014-01-31 00:07:28 UTC
Marking as incomplete release note for 6.2.1.

Comment 7 Russell Dickenson 2014-02-03 04:45:54 UTC
In the absence of SME input, I have completed this ticket's release notes entry based on the comments in the ticket's history, also the associated pull request.


Note You need to log in before you can comment on or make changes to this bug.